Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# subs

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# subs

- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

subs - Perl pragma to predeclare sub names

# SYNOPSIS

        use subs qw(frob);    frob 3..10;

# DESCRIPTION

This will predeclare all the subroutine whose names are in the list, allowing you to use them without parentheses even before they're declared.

Unlike pragmas that affect the `$^H` hints variable, the `use vars` and `use subs` declarations are not BLOCK-scoped. They are thus effective for the entire package in which they appear. You may not rescind such declarations with `no vars` or `no subs` .

See Pragmatic Modules in perlmodlib and strict subs in strict.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION